Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#22 Trailing whitespace

closed
None
5
2006-09-02
2006-07-29
Jan Engelhardt
No

As I do patch nf-layer7 into my own kernel tree, I get
lots of trailing whitespace warnings when using `quilt
refresh`. If you could please fix that, I'd be grateful.

Thanks,
Jan Engelhardt

Discussion

  • Matthew Strait
    Matthew Strait
    2006-07-31

    Logged In: YES
    user_id=220960

    I don't promise to support quilt (hadn't heard of it until
    just now), but if these warnings are easy to fix and easy to
    keep fixed, I will fix them.

    Please post more detail. The actual commands run and
    warning messages recieved would be good. If you know how to
    fix the problem, please say that too.

     
  • Matthew Strait
    Matthew Strait
    2006-07-31

    • assigned_to: nobody --> quadong
     
  • Jan Engelhardt
    Jan Engelhardt
    2006-07-31

    Logged In: YES
    user_id=1287009

    http://suse.de/~agruen/quilt.pdf
    Quilt are just scripts around diff. So it has got nothing to
    do with quilt/diff, but the sourcecode in general - quilt
    just helped to find it.

    09:07 shanghai:../linux-2.6.17.7/patches > ls -1
    kernel-2.6.17-layer7-2.3.patch >series
    09:07 shanghai:../linux-2.6.17.7/patches > l
    total 64
    drwxr-xr-x 2 jengelh users 56 Jul 31 09:07 .
    drwxr-xr-x 21 jengelh users 4096 Jul 31 09:07 ..
    -rw-rw-r-- 1 jengelh users 56551 Jul 16 15:57
    kernel-2.6.17-layer7-2.3.patch
    -rw-r--r-- 1 jengelh users 31 Jul 31 09:07 series
    09:07 shanghai:../linux-2.6.17.7/patches > ..
    09:07 shanghai:/J/kernel/linux-2.6.17.7 > quilt push
    Applying patch patches/kernel-2.6.17-layer7-2.3.patch
    patching file include/linux/netfilter_ipv4/ip_conntrack.h
    patching file include/linux/netfilter_ipv4/ipt_layer7.h
    patching file net/ipv4/netfilter/Kconfig
    patching file net/ipv4/netfilter/Makefile
    patching file net/ipv4/netfilter/ip_conntrack_core.c
    patching file net/ipv4/netfilter/ip_conntrack_standalone.c
    patching file net/ipv4/netfilter/ipt_layer7.c
    patching file net/ipv4/netfilter/regexp/regexp.c
    patching file net/ipv4/netfilter/regexp/regexp.h
    patching file net/ipv4/netfilter/regexp/regmagic.h
    patching file net/ipv4/netfilter/regexp/regsub.c

    Now at patch patches/kernel-2.6.17-layer7-2.3.patch
    09:07 shanghai:/J/kernel/linux-2.6.17.7 > quilt refresh
    Warning: trailing whitespace in lines 28,356,1047,1088 of
    net/ipv4/netfilter/regexp/regexp.c
    Warning: trailing whitespace in line 57 of
    net/ipv4/netfilter/regexp/regsub.c
    Warning: trailing whitespace in lines
    1,2,4,63,69,73,80,88,112,124,142,150,158,163,173,194,217,222,223,224,234,253,255,272,280,284,289,301,309,312,327,334,343,344,351,357,359,361,362,374,379,393,394,404,436,457,463,488,489,491,493,498,505,506,511,519,524,533,558,562,563
    of net/ipv4/netfilter/ipt_layer7.c
    Warning: trailing whitespace in line 1 of
    include/linux/netfilter_ipv4/ipt_layer7.h
    Warning: trailing whitespace in lines 229,230,231,232 of
    net/ipv4/netfilter/Kconfig
    Warning: trailing whitespace in lines 12,13 of
    net/ipv4/netfilter/regexp/regexp.h
    Refreshed patch patches/kernel-2.6.17-layer7-2.3.patch

     
  • Jan Engelhardt
    Jan Engelhardt
    2006-08-29

    Logged In: YES
    user_id=1287009

    There is nothing special to support quilt, in fact, these
    are just warning messages.

     
  • Matthew Strait
    Matthew Strait
    2006-09-02

    • status: open --> closed
     
  • Matthew Strait
    Matthew Strait
    2006-09-02

    Logged In: YES
    user_id=220960

    Done.